/**
 * output package name
 */
package com.kingdee.eas.custom.compensation;

import java.util.Map;
import java.util.List;
import java.util.Iterator;
import com.kingdee.util.enums.StringEnum;

/**
 * output class name
 */
public class ProcessStatusEnum extends StringEnum
{
    public static final String UNPROCESS_VALUE = "UnProcess";//alias=未处理
    public static final String PROCESSING_VALUE = "Processing";//alias=处理中
    public static final String PROCESSPASS_VALUE = "ProcessPass";//alias=处理完成
    public static final String PROCESSFAIL_VALUE = "ProcessFail";//alias=处理失败

    public static final ProcessStatusEnum UnProcess = new ProcessStatusEnum("UnProcess", UNPROCESS_VALUE);
    public static final ProcessStatusEnum Processing = new ProcessStatusEnum("Processing", PROCESSING_VALUE);
    public static final ProcessStatusEnum ProcessPass = new ProcessStatusEnum("ProcessPass", PROCESSPASS_VALUE);
    public static final ProcessStatusEnum ProcessFail = new ProcessStatusEnum("ProcessFail", PROCESSFAIL_VALUE);

    /**
     * construct function
     * @param String processStatusEnum
     */
    private ProcessStatusEnum(String name, String processStatusEnum)
    {
        super(name, processStatusEnum);
    }
    
    /**
     * getEnum function
     * @param String arguments
     */
    public static ProcessStatusEnum getEnum(String processStatusEnum)
    {
        return (ProcessStatusEnum)getEnum(ProcessStatusEnum.class, processStatusEnum);
    }

    /**
     * getEnumMap function
     */
    public static Map getEnumMap()
    {
        return getEnumMap(ProcessStatusEnum.class);
    }

    /**
     * getEnumList function
     */
    public static List getEnumList()
    {
         return getEnumList(ProcessStatusEnum.class);
    }
    
    /**
     * getIterator function
     */
    public static Iterator iterator()
    {
         return iterator(ProcessStatusEnum.class);
    }
}